Package: groovy.swing.factory

## [Groovy] Class RootPaneContainerFactory

- groovy.swing.factory.RootPaneContainerFactory

-     abstract class RootPaneContainerFactory
      extends AbstractFactory

  Base factory for Swing top-level containers backed by a root pane.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON` | Default child attribute name for the default button marker.
    `static String` | `DELEGATE_PROPERTY_DEFAULT_BUTTON` | Builder context key for the default button attribute name.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RootPaneContainerFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `handleRootPaneTasks(FactoryBuilderSupport builder, Window container, Map attributes)` Initializes common root pane container state and delegates.
    `` | `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)` Finalizes a node after its children have been processed.
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)` Attaches a child node to its parent.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Field Detail

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON

      Default child attribute name for the default button marker.

    - #### public static final String DELEGATE_PROPERTY_DEFAULT_BUTTON

      Builder context key for the default button attribute name.

  - ### Constructor Detail

    - #### RootPaneContainerFactory()

  - ### Method Detail

    - #### void handleRootPaneTasks(FactoryBuilderSupport builder, Window container, Map attributes)

      Initializes common root pane container state and delegates.

      Parameters:
        `builder` - the factory builder
        `container` - the window being configured
        `attributes` - the node attributes

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

      Finalizes a node after its children have been processed.

      Parameters:
        `builder` - the factory builder
        `parent` - the parent node
        `node` - the current node

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)

      Attaches a child node to its parent.

      Parameters:
        `builder` - the factory builder
        `parent` - the parent node
        `child` - the child node